import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.BaseAdapter
import android.widget.ImageView
import android.widget.TextView
import com.example.elbuenopeso.R
import com.example.elbuenopeso.models.AdModel
import java.math.RoundingMode


class AdAdapter(private val context: Context, private val adModelArrayList: List<AdModel>) : BaseAdapter() {
    private val inflater: LayoutInflater = LayoutInflater.from(context)

    override fun getCount(): Int = adModelArrayList.size

    override fun getItem(i: Int): Any = adModelArrayList[i]

    override fun getItemId(i: Int): Long = i.toLong()

    override fun getView(i: Int, view: View?, viewGroup: ViewGroup): View {
        var convertView = view
        val ad = adModelArrayList[i]
        convertView = inflater.inflate(R.layout.item_listview_ad, viewGroup, false)

        val imageIV: ImageView = convertView.findViewById(R.id.itemListViewImageView)
        val titleTV: TextView = convertView.findViewById(R.id.itemListViewTitleView)
        val addressTV: TextView = convertView.findViewById(R.id.itemListViewTextView)
        val prixTV: TextView = convertView.findViewById(R.id.itemListViewPrixView)
        imageIV.setImageResource(ad.image)
        titleTV.text = ad.title
        addressTV.text = ad.address
        val prix = (ad.prix.toString())
        prixTV.text = "${prix.toBigDecimal().setScale(2, RoundingMode.UP).toDouble()} €"
        return convertView
    }
}